| Home | Libraries | People | FAQ | More

## Function hash_value

boost::hash_value — Implementation of a hash function for `std::basic_string`.

## Synopsis

    template<typename Ch, typename A>
      std::size_t hash_value(std::basic_string<Ch, std::char_traits<Ch>, A> const& val);

## Description

Generally shouldn't be called directly by users, instead they should use `boost::hash`, `boost::hash_range` or `boost::hash_combine` which call hash_value without namespace qualification so that overloads for custom types are found via ADL.

Notes: Overloads for other types supplied in other headers.

This is an extension to TR1

Returns: `hash_range(val.begin(), val.end())`

| Copyright © 2005 Daniel James